classification
Title: Help in IDLE should open the chm file
Type: behavior Stage:
Components: IDLE Versions: Python 2.6
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: kbk Nosy List: gregorlingl, kbk, loewis
Priority: normal Keywords:

Created on 2008-09-23 00:32 by gregorlingl, last changed 2008-09-29 07:23 by georg.brandl. This issue is now closed.

Messages (4)
msg73609 - (view) Author: Gregor Lingl (gregorlingl) Date: 2008-09-23 00:32
From IDLE either pressing F1 or choosing the menu Help-Python Docs
should open a Help-Window with the docs of the current version. (This
works well for instance in Python 2.5.2) The docs file normally resides
on the local computer in the Doc directory (at least under Windows)

With 2.6rc2 under Windows pressing F1 only opens a Browser with the url
http://www.python.org/doc/current/ which leads to the 2.5.2 documentation.  

It should be linked to the python26.chm file in the Doc directory

Regards,
Gregor
msg73616 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-23 05:23
Notice that the chm file is available on Windows only. So in general,
opening the online documentation might be the right thing to do.
msg73617 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-23 05:26
Kurt, even if using online documentation is necessary, I think the URL
is not quite right - it should rather be a version-dependent URL, IMO.
msg73995 - (view) Author: Gregor Lingl (gregorlingl) Date: 2008-09-28 22:16
I just found out, that this doesn't work correctly, because the
Windows-helpfile in Python26rc2 is strangely named Python26c2.chm . It
works correctly however if one renames this file to Python26.chm (as
this is what the code in EditorWindow.py expects). 

So this will (almost certainly) be no problem in the final release.

Regards, Gregor
History
Date User Action Args
2008-09-29 07:23:43georg.brandlsetstatus: open -> closed
resolution: wont fix
2008-09-28 22:16:30gregorlinglsetmessages: + msg73995
2008-09-23 05:26:04loewissetassignee: kbk
messages: + msg73617
nosy: + kbk
2008-09-23 05:23:35loewissetnosy: + loewis
messages: + msg73616
title: Help in IDLE doesn't work correctly -> Help in IDLE should open the chm file
2008-09-23 00:32:04gregorlinglcreate